'use strict';

module.exports = app => {
  const router = app.router.namespace(app.config.projectRootPath + '/official');
  router.get('third_job_info', '/job/info/:id', 'official.job.info');//招聘岗位详情信息
  router.get('third_job_list', '/job/list/:jobtypeid', 'official.job.list');//招聘岗位列表
  router.get('third_jobtype_list', '/jobtype/list/:jobtype', 'official.jobtype.list');//招聘类型列表
  router.get('third_jobtype_school', '/jobtype/school', 'official.jobtype.school');//校园招聘类型列表
  router.get('third_jobtype_social', '/jobtype/social', 'official.jobtype.social');//校园招聘类型列表
  router.get('third_job_all', '/job/all/:jobtype', 'official.job.all');//招聘类型+招聘岗位全部
  router.post('third_job_apply', '/job/apply', 'official.job.apply');//简历提交，求职

  router.get('third_investment_list', '/investment/:page/:type_id/:language', 'official.investment.list');//投资者关系
  router.get('third_investment_type_info', '/investment_type', 'official.investment.typeList');//投资者项列表
     

};
